#
# Conditional build:
%bcond_without	static_libs	# don't build static library

Summary:	C++ wrapper for libnotify
Summary(pl.UTF-8):	Interfejs C++ do libnotify
Name:		libnotifymm
Version:	0.7.0
Release:	2
License:	LGPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libnotifymm/0.7/%{name}-%{version}.tar.xz
# Source0-md5:	29c675a899da3fbd4395c7333ee9bfbe
URL:		http://www.gnome.org/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	glibmm-devel >= 2.28.0
BuildRequires:	gtkmm3-devel >= 3.4.1
BuildRequires:	libnotify-devel >= 0.7.5
BuildRequires:	libtool >= 2:1.5
BuildRequires:	mm-common >= 0.9.6
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	glibmm >= 2.28.0
Requires:	gtkmm3 >= 3.4.1
Requires:	libnotify >= 0.7.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
C++ wrapper for libnotify.

%description -l pl.UTF-8
Interfejs C++ do libnotify.

%package devel
Summary:	Header files for libnotifymm library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libnotifymm
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glibmm-devel >= 2.28.0
Requires:	gtkmm3-devel >= 3.4.1
Requires:	libnotify-devel >= 0.7.5

%description devel
Header files for libnotifymm library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libnotifymm.

%package static
Summary:	Static libnotifymm library
Summary(pl.UTF-8):	Statyczna biblioteka libnotifymm
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libnotifymm library.

%description static -l pl.UTF-8
Statyczna biblioteka libnotifymm.

%package apidocs
Summary:	libnotifymm API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libnotifymm
Group:		Documentation
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
libnotifymm API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libnotifymm.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libnotifymm-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libnotifymm-1.0.so.7

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnotifymm-1.0.so
%{_includedir}/libnotifymm-1.0
%dir %{_libdir}/libnotifymm-1.0
%{_libdir}/libnotifymm-1.0/include
%{_pkgconfigdir}/libnotifymm-1.0.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libnotifymm-1.0.a
%endif

%files apidocs
%defattr(644,root,root,755)
%{_datadir}/devhelp/books/libnotifymm-1.0
%{_docdir}/libnotifymm-1.0
%changelog
* Thu Jul 02 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libnotifymm.git;a=log;h=master

* Thu Jul 02 2015 Elan Ruusamäe <glen@delfi.ee> ed83fd5
- noarch apidocs

* Sun Feb 24 2013 Jakub Bogusz <qboosh@pld-linux.org> f743bd4
- new

